#if !defined(AFX_OBJECTPAGE_H__723C8FA0_C06E_44D9_B905_68C152896D67__INCLUDED_)
#define AFX_OBJECTPAGE_H__723C8FA0_C06E_44D9_B905_68C152896D67__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ObjectPage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CObjectPage dialog

class CObjectPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CObjectPage)

// Construction
public:
	CObjectPage();
	~CObjectPage();

// Dialog Data
	//{{AFX_DATA(CObjectPage)
	enum { IDD = IDD_OBJECTPAGE };
	CComboBox	m_TextureTypeCombo;
	CComboBox	m_BackgroundCombo;
	CString	m_MaxXObject;
	CString	m_MaxYObject;
	CString	m_MaxZObject;
	CString	m_MinXObject;
	CString	m_MinYObject;
	CString	m_MinZObject;
	BOOL	m_Use2DObject;
	CString	m_EditXObject;
	CString	m_EditYObject;
	CString	m_EditZObject;
	CString	m_BackgroundBlue;
	CString	m_BackgroundGreen;
	CString	m_BackgroundRed;
	CString	m_TextureCenter0;
	CString	m_TextureCenter1;
	CString	m_TextureRotation;
	CString	m_TextureScale0;
	CString	m_TextureScale1;
	CString	m_TextureTranslation0;
	CString	m_TextureTranslation1;
	BOOL	m_DrawObjectAxes;
	BOOL	m_RotateAboutOrigin;
	CString	m_ReducePolygonsName;
	CString	m_ReducePolygonsStep;
	CString	m_ReducePolygonsTriangle0;
	CString	m_ReducePolygonsTriangle1;
	CString	m_ReducePolygonsVertex0;
	CString	m_ReducePolygonsVertex1;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CObjectPage)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CObjectPage)
	afx_msg void OnGetminmaxobject();
	afx_msg void OnUse2dobject();
	afx_msg void OnCopyxtoyzobject();
	afx_msg void OnCalccenterobject();
	afx_msg void OnSetcenterobject();
	afx_msg void OnSetmin1object();
	afx_msg void OnSetmin2object();
	afx_msg void OnSetmin3object();
	afx_msg void OnDoscaleobject();
	afx_msg void OnMirrorxobject();
	afx_msg void OnMirroryobject();
	afx_msg void OnMirrorzobject();
	afx_msg void OnRotatex1object();
	afx_msg void OnRotatex2object();
	afx_msg void OnRotatex3object();
	afx_msg void OnRotatey1object();
	afx_msg void OnRotatey2object();
	afx_msg void OnRotatey3object();
	afx_msg void OnRotatez1object();
	afx_msg void OnRotatez2object();
	afx_msg void OnRotatez3object();
	afx_msg void OnRotatexyzobject();
	afx_msg void OnSelchangeBackgroundcombo();
	virtual BOOL OnInitDialog();
	afx_msg void OnBackgroundget();
	afx_msg void OnBackgroundset();
	afx_msg void OnSelchangeTexturetypecombo();
	afx_msg void OnCreateuv();
	afx_msg void OnRemoveuv();
	afx_msg void OnUvdialog();
	afx_msg void OnZeroallz();
	afx_msg void OnEraselines1();
	afx_msg void OnEraselines2();
	afx_msg void OnEraseclouds1();
	afx_msg void OnERASEClouds2();
	afx_msg void OnWaterTightCheck();	
	afx_msg void OnRotateaboutorigin();
	afx_msg void OnDrawobjectaxes();
	afx_msg void OnReducepolygonsstart();
	afx_msg void OnReducepolygonsokay();
	afx_msg void OnReducepolygonscancel();
	afx_msg void OnReducepolygonsselectlayer();
	afx_msg void OnReducepolygonsset();
	afx_msg void OnReducepolygonsdecrease();
	afx_msg void OnReducepolygonsincrease();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	void GetEditXYZObject();
	void GetEditTexture();
	void SetEditTexture();
	void ReducePolygonsDisplayData(void);
  void ReducePolygonsGetVertices(void);
  void ReducePolygonsGetStep(void);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OBJECTPAGE_H__723C8FA0_C06E_44D9_B905_68C152896D67__INCLUDED_)
